Subject: bug#72704: 29.4; repunctuate-sentences ignores NO-QUERY

From: Eli Zaretskii <[email-masked]>
Date: Sat, 31 Aug 2024 15:39:09 +0300

> From: Joseph Turner <[email-masked]>
> Cc: [email-masked],  [email-masked],  [email-masked],  [email-masked]
> Date: Sat, 31 Aug 2024 08:19:02 -0400
> 
> >   Noninteractively, if optional argument NO-QUERY is non-nil, make changes
> >   without asking for confirmation.  To achieve the same effect
> >   interactively, press \\<query-replace-map>\\[automatic] at the first...
> 
> Okay!  With the attached patch, I'm content to close this issue.

One minor nit:

> +Noninteractively, if optional argument NO-QUERY is non-nil, make changes
> +without asking for confirmation.  You can achieve the same effect
> +interactively, press \\<query-replace-map>\\[automatic] at the first prompt to skip remaining prompts.
                  ^^^^^
Either "by pressing" instead of "press" or use "To achieve the same
effect", as I proposed originally.

Otherwise, LGTM, thanks.